Bug 756341 - (CVE-2009-5028) CVE-2009-5028 namazu: Stack-based buffer overflow by replacing blank "uri" field value
CVE-2009-5028 namazu: Stack-based buffer overflow by replacing blank "uri" fi...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20090831,reported=2...
: Security
Depends On: 756350
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 05:36 EST by Jan Lieskovsky
Modified: 2016-03-04 06:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 06:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-11-23 05:36:40 EST
A stack-based buffer overflow flaw was found in the way Namazu, a full-text search engine, performed URI replacement for certain found results of the query. If namazu was configured as a CGI script (WWW search engine), a remote attacker could provide a specially-crafted query (with blank value of the "uri" field), leading to namazu executable crash, or potentially, arbitrary code execution with the privileges of the user running namazu.

Further issue details from upstream security advisory [2]:
"To 2.0.19 or a version that is older than 2.0.19, there is a vulnerability of overrunning in the buffer. It recommends since Namazu 2.0.20 to be used."

References:
[1] http://www.namazu.org/#news
[2] http://www.namazu.org/security.html.en

Relevant upstream patches:
[3] http://cvs.namazu.org/namazu/src/result.c?sortdir=down&r1=1.86&r2=1.87&sortby=log
[4] http://cvs.namazu.org/namazu/src/result.c?sortdir=down&r1=1.77.2.8&r2=1.77.2.9&sortby=log
[5] http://cvs.namazu.org/namazu/src/result.c?sortdir=down&r1=1.59.8.28&r2=1.59.8.29&sortby=log
Comment 1 Jan Lieskovsky 2011-11-23 05:49:58 EST
This issue affects the version of the namazu package, as shipped with Fedora release of 14. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-11-23 06:05:30 EST
Created namazu tracking bugs for this issue

Affects: fedora-14 [bug 756350]
Comment 3 Jan Lieskovsky 2011-11-23 06:17:46 EST
CVE request:
[6] http://www.openwall.com/lists/oss-security/2011/11/23/2
Comment 4 Jan Lieskovsky 2011-11-24 04:23:16 EST
The CVE identifier of CVE-2009-5028 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2011/11/23/8

Note You need to log in before you can comment on or make changes to this bug.